function(progress, r1, g1, b1, a1, r2, g2, b2, a2)
	-- if aura_env.state.IsActive then
	-- 	ActionButton_ShowOverlayGlow(aura_env.region.icon)
	-- else
	-- 	ActionButton_HideOverlayGlow(aura_env.region.icon)
	-- end

	if aura_env.statee.IsActive then
		aura_env.region.icon:SetDesaturated(false)
		return r1, g1, b1, a1
	end

	if aura_env.IsOnCooldown then
		aura_env.region.icon:SetDesaturated(true)
		return r1, g1, b1, a1
	end

	aura_env.region.icon:SetDesaturated(false)
	return r2, g2, b2, 0.6
end